> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Create an Emoji > Upload a custom emoji to the workspace. Make sure that you have configured the storage system. For details, refer to the [Manage Custom Sounds and Emojis](https://docs.rocket.chat/docs/manage-custom-sounds-and-emojis) document. Permission required: `manage-emoji` ### Changelog | Version | Description | | ---------------- | ------------| |0.74.0 | Added | ## OpenAPI ````json POST /api/v1/emoji-custom.create { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/emoji-custom.create": { "post": { "tags": [ "Custom Emoji" ], "summary": "Create an Emoji", "description": "Upload a custom emoji to the workspace. Make sure that you have configured the storage system. For details, refer to the [Manage Custom Sounds and Emojis](https://docs.rocket.chat/docs/manage-custom-sounds-and-emojis) document.\n\nPermission required: `manage-emoji`\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|0.74.0 | Added |\n", "operationId": "post-api-v1-emoji-custom.create", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "multipart/form-data": { "schema": { "type": "object", "required": [ "emoji", "name" ], "properties": { "emoji": { "type": "string", "description": "The image file to use as the new custom emoji.", "format": "binary" }, "name": { "type": "string", "description": "The name of the new custom emoji.", "example": "grinning_cat" }, "aliases": { "type": "string", "description": "The alias of the new custom emoji. You can enter more than one alias as comma-separated values.", "example": "happy_cat,smiley_cat" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "Missing Content-Type" } }, "Example 2": { "value": { "success": "false", "error": "[No file uploaded]", "errorType": "No file uploaded" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````